use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    'NAME'	=> 'KerberosIV',
    'VERSION'	=> '0.1',
    'LIBS'	=> [''],   # e.g., '-lm' 
    'DEFINE'	=> '-DKERBEROS -DCRYPT',     # e.g., '-DHAVE_SOMETHING' 
	# -Dlint above is to prevent barfage from 
	#  multiple 'static char *sccsid' in kcmd.c and krcmd.c
    'CONFIGURE' => \&MY::find_libs,
    'INC'	=> '-I. -I/usr/sww/kerberosIV/include/kerberosIV -I/usr/sww/kerberosIV/include -I/usr/sww/share/src/kerberosIV/kerberosIV/include/ -I/usr/sww/share/src/kerberosIV/compat -I/usr/sww/share/src/kerberosIV/usr.bin/rlogin',     # e.g., '-I/usr/include/other' 
);

sub MY::find_libs {
    my ($krblib,$krbinc);
    my $found = 0;
    my @found = ();
    
    do {
        print STDERR "Where are libkrb and libdes [/usr/kerberos/lib]: ";
        chomp($krblib = <STDIN>);
        $found = 1 if glob("$krblib/libkrb.*") && glob("$krblib/libdes.*");
    } until $found;

    $found = 0;

    return { 'MYEXTLIB' =>
                 "$krblib/libkrb\$(LIB_EXT) $krblib/libdes\$(LIB_EXT)"
                 };
}

    
